# PlotPlane3D

The PlotPlane function allows you to draw a Plane3D structure by defining its offset and rotation.

It returns a Plot structure containing the settings of the plotted plane.

Inputs

The PlotPlane3D function has the following syntax:

PlotPlane3D(PointCloud,Plane3D,ExternalPlane,Name,Color,Transparency,ShowDirectionIndicator,ModelMode,LineDrawingThickness,Show)

Parameter | Description
PointCloud | Reference to a cell containing a point cloud. The default value is $A$0.
Plane3D | Specifies the offset and the angle of the plane to use. It is offset from the PointCloud origin in the following format with the following arguments: {X, Y, Z, Tilt, TiltDirection}
X | Offset on the X-axis from the PointCloud origin.
Y | Offset on the Y-axis from the PointCloud origin.
Z | Offset on the Z-axis from the PointCloud origin.
Tilt | Specifies the tilt angle (in degrees) from the PointCloud Z-axis. The value range is 0-180. External references with values outside the allowed range will result in an error.
Tilt Direction | Specifies the direction of tilt (in degrees) from the plane's rotated PointCloud X-axis, about the tool's PointCloud Z-axis. The value range is -360 - 360. External references with values outside the allowed range will be normalized to the allowed range.
Note: This parameter is available only if External Plane is set to 0.
External Plane | Specifies a reference to a Rectangle3D or Circle3D structure defined in another cell to be used by the function. Set to 0 (OFF) to use the function's internal Plane3D structure instead.
Name | The label of the plotted structure. The configured string appears next to the structure.
Color | Specifies the color of the wireframe or surface, depending on the selected Model Mode. Default: 0x32CD32, LimeGreen; max: 0xFFFFFF. Configure different colors by providing the hexadecimal color code in the formula bar or selecting a color from the color picker on the tool property sheet. Note: If you set the Model Mode parameter to Solid with Wireframe, then the wireframe will be black regardless of the value of this setting.
Transparency | Specifies the transparency of the drawn structure or its elements, depending on the selected Model Mode. The value range of the property is 0 – 100 (from no transparency to complete transparency), and the default value is 0 (meaning no transparency).
Show Direction Indicator | When enabled, the direction of the Z-axis will be indicated with an arrow. This setting is disabled by default.
Model Mode | Specifies how the plotted plane will be drawn in the point cloud: Points: This setting draws only the four corner points of the plane. Wireframe: The plotted plane will be drawn as a wireframe only, its surface being completely transparent. This is the default setting. Solid: The plotted plane will be drawn with its surface being completely solid. Solid with Wireframe: The plotted plane will be drawn with a solid surface, with its wireframe toned in black color.
Line Drawing Thickness | Specifies the thickness of the wireframe lines. This setting is available only if the Model Mode parameter is set to Wireframe or Solid with Wireframe, and its default value is 5 with a range between 1 to 10.
Show | Selects the display mode.
0 (Unchecked) = Off | The structure will be hidden, except when the cell containing the function is highlighted in the spreadsheet.
1 (Checked) = On (default) | The structure will be displayed at all times.

Outputs

Returns | A Plot structure that allows you to modify the plotted Plane3D structure.
Results | When inserted into a cell, a ❒Plot structure is created, containing the settings of the 3D plane drawn in the point cloud when the job is Online.